<?php
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $gericht_name = $_POST['gericht_name'];
    $gericht_beschreibung = $_POST['gericht_beschreibung'];
    $ersteller_name = $_POST['ersteller_name'];
    $ersteller_email = $_POST['ersteller_email'];

    // Datenbankverbindung
    $link = mysqli_connect(
        "127.0.0.1",
        "root",
        "wm#32",
        "emensawerbeseite"
    );
    if (!$link) {
        echo "Verbindung fehlgeschlagen: ", mysqli_connect_error();
        exit();
    }

    $error_count = 0;
    $spam_domains = array("rcpt.at", "damnthespam.at", "wegwerfmail.de", "trashmail");

    foreach ($spam_domains as $domain) {
        if (str_contains($ersteller_email, $domain)) {
            echo '<script type="text/javascript"> alert("Fehler bei den übermittelten Daten");</script>';
            $error_count++;
            break;
        }
    }

    if(!$error_count){
        // Ersteller in DB eintragen
        $sql_ersteller_exists = "SELECT * FROM ersteller WHERE EMail = '" . mysqli_real_escape_string($link, $ersteller_email) . "'";
        $result_ersteller_exists = mysqli_query($link,$sql_ersteller_exists);
        if(mysqli_num_rows($result_ersteller_exists) == 0){
            $sql_ersteller = "INSERT INTO ersteller(EMail, Name) VALUES ('" . mysqli_real_escape_string($link, $ersteller_email) . "','" . mysqli_real_escape_string($link, $ersteller_name) . "')";
            $result_ersteller = mysqli_query($link,$sql_ersteller);
        }

        // Gericht in die DB eintragen
        $date = date("Y-m-d");
        $sql = "INSERT INTO wunschgericht(Name, Beschreibung, Erstellungsdatum, Ersteller_EMail) 
            VALUES ('" . mysqli_real_escape_string($link, $gericht_name) . "','" . mysqli_real_escape_string($link, $gericht_beschreibung) . "','".$date."','" . mysqli_real_escape_string($link, $ersteller_email) . "')";
        $result = mysqli_query($link, $sql);

        if ($result) {
            echo '<script type="text/javascript"> alert("Ihr Wunschgericht wurde erfolgreich gespeichert!");</script>';
        }
        else {
            echo '<script type="text/javascript"> alert("Es gab einen Fehler: "' . mysqli_error($link) . '</script>';
        }
    }

    mysqli_close($link);
}
?>

<html lang="en" xmlns="http://www.w3.org/1999/html">
<head>
    <meta charset="UTF-8">
    <title>Ihre E-Mensa</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<div class="grid">
    <div>
        <img src="fh-logo.jpg" alt="FH-Logo">
    </div>
    <div>
        <a href="index.php#ankündigung">Ankündigung</a>
        <a href="index.php#speisen">Speisen</a>
        <a href="index.php#zahlen">Zahlen</a>
        <a href="index.php#kontakt">Kontakt</a>
        <a href="index.php#wichtig">Wichtig für uns</a>
    </div>
</div>
<hr>
<form method="post" action="wunschgericht.php">
    <div class="formular">
        <label for="gericht_name">Name des Gerichts:</label>
        <input type="text" name="gericht_name" id="gericht_name" required>
        <br>
        <label for="gericht_beschreibung">Beschreibung des Gerichts:</label>
        <textarea name="gericht_beschreibung" id="gericht_beschreibung" required></textarea>
        <br>
        <label for="ersteller_name">Ihr Name:</label>
        <input type="text" name="ersteller_name" id="ersteller_name">
        <br>
        <label for="ersteller_email">Ihre E-Mail Adresse:</label>
        <input type="text" name="ersteller_email" id="ersteller_email" required>
        <input type="submit" value="Wunsch abschicken">
    </div>
</form>
</body>
<footer>
    <table class="fusszeile">
        <tr>
            <td>(c) E-Mensa GmbH</td>
            <td>Şafak Hazinedar & Robert Joel</td>
            <td><a href="">Impressum</a></td>
        </tr>
    </table>
</footer>
</html>